#!/bin/bash
# 16) Configuración de la gestión de energia en Vitalinux 2.0 (deprecated). Ahora, tanto para vitalinux 2, como 3, usar 16.gestion_energia_y_salvapantallas.sh:

function configurar_energia_y_salvapantallas() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos el comando a ejecutar y lo lanzamos:
    SECCION="$(jq -r ".${PARAM}[${CONT}].seccion" <<<"${JSON}")"
    EJECUTABLE="/usr/bin/vx-energia-y-salvapantallas"
    if [[ -x "${EJECUTABLE}" ]] && "${EJECUTABLE}" "${SECCION}"; then
        "${echo_verde}" "=> ¡¡Ok!! Se ha configurado correctamente: ${SECCION}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas al ejecutar el comando: ${SECCION}"
    fi
}

"${echo_titulo}" "*  [[ Configuración de la Energía y Salvapantallas ... ]]  *"
PARAM="gestionenergia.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Configurar Energia y Salvapantallas" "configurar_energia_y_salvapantallas"
