#!/bin/bash
# 11) Ejecutar Lista de Comandos/Scripts de personalización del centro:

function ejecutar_comandos() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos el comando a ejecutar y lo lanzamos:
    COMANDO="$(jq -r ".${PARAM}[${CONT}].comando" <<<"${JSON}")"
    if eval "${COMANDO}"; then
        "${echo_verde}" "=> ¡¡Ok!! Comando ejecutado correctamente: ${COMANDO}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas al ejecutar el comando: ${COMANDO}"
    fi
}

"${echo_titulo}" "*  [[ Ejecutar Comandos/Scripts de personalización de Centro ... ]]  *"
PARAM="ejecutarcomandos.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Ejecutar Comandos/Scripts" "ejecutar_comandos"
