#!/bin/bash
# 14) Configuración de la frecuencia de comunicación con Migasfree:

function frecuencia_migasfree() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos el comando a ejecutar y lo lanzamos:
    FRECUENCY="$(jq -r ".${PARAM}[${CONT}].frecuencia" <<<"${JSON}")"
    MANUAL="$(jq -r ".${PARAM}[${CONT}].manual" <<<"${JSON}")"
    MYDATETIME="$(jq -r ".${PARAM}[${CONT}].mydatetime" <<<"${JSON}")"
    PARAMETROS=("FRECUENCY" "${FRECUENCY}" "MANUAL" "${MANUAL}" "MYDATETIME" "${MYDATETIME}")
    if vx-migasfree-launcher-conf-cron-cli "${PARAMETROS[@]}"; then
        "${echo_verde}" "=> ¡¡Ok!! Frecuencia Actualizaciones de Migasfree: ${PARAMETROS[*]}"
    else
        "${echo_rojo}" "=> ¡¡Error!! No se ha podido configurar: ${PARAMETROS[*]}"
    fi
}

"${echo_titulo}" "*  [[ Frecuencia de sincronización del cliente Migasfree ... ]]  *"
PARAM="frecuencia_migasfree.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Frecuencia Cliente Migasfree" "frecuencia_migasfree"
