#!/bin/bash
# 11) Ejecutar Lista de Comandos/Scripts de personalización del centro:

function tag_ocs_inventory() {
    OCSCONFFILE="/etc/ocsinventory-agent/ocsinventory-agent.cfg"
    # Asegurar etiqueta de codcentro si está en el inventario de ocs
    if [ -f "${OCSCONFFILE}" ]; then
        TAGOCSCODCENTRO="$(jq -r ".codcentro" <<<"${JSON}")"
        TAGOCS=$(crudini --get /etc/ocsinventory-agent/ocsinventory-agent.cfg '' "tag")
        [ -n "${TAGOCSCODCENTRO}" ] && [ "${TAGOCS}" != "${TAGOCSCODCENTRO}" ] &&
            crudini --set /etc/ocsinventory-agent/ocsinventory-agent.cfg '' "tag" "${TAGOCSCODCENTRO}" &&
            "${echo_rojo}" "=> ATENCIÓN: Etiqueta OCS modificada" ||
            "${echo_verde}" "=> Etiqueta OCS NO se modifica"
    else
        "${echo_verde}" "=> Equipo sin OCS instalado"
    fi
}

"${echo_titulo}" "*  [[ Asignando TAG correcta para OCS inventory si procede ... ]]  *"
tag_ocs_inventory
